# -*- coding: utf-8 -*-

from ppms.migration.packet import *

class DisableDtpCacheDi(SQLPacket):
    '''Disable DI 056937 "DTP cache" in DT 415 "DataTable"

    Removes the menu item "toggle DTP cache" from the customizing work field,
    and the associated macro module as well.
    '''
    version = 1
    done_after_success = True
    run_on_startup = True
    category = PacketCategory.CATEGORY_MANDATORY
    wi_number = 11584

    fname = 'wi10174_disable_dtp_cache_di.sql'

    def fix(self, runner):
        self.apply_dml_file(self.sql_planta_de_ansi, self.fname)
        return self.success()
